@import url(fonts/clear-sans.css);
html, body {
  margin: 0;
  padding: 0;
  background: #EFC2F5;
  color: #FA6ECB;
  font-family: "Clear Sans", "Helvetica Neue", Arial, sans-serif;
  font-size: 18px;}

body {
  margin: 80px 20px; }

.heading {
  display: flex;
  align-items: center;
}

.heading:after {
  content: "";
  display: block;
  clear: both; }

h1.title {
  font-size: 80px;
  font-weight: bold;
  margin: 0;
  display: block;
  float: left; }

@-webkit-keyframes move-up {
  0% {
    top: 25px;
    opacity: 1; }

  100% {
    top: -50px;
    opacity: 0; } }
@-moz-keyframes move-up {
  0% {
    top: 25px;
    opacity: 1; }

  100% {
    top: -50px;
    opacity: 0; } }
@keyframes move-up {
  0% {
    top: 25px;
    opacity: 1; }

  100% {
    top: -50px;
    opacity: 0; } }
.scores-container {
  float: right;
  text-align: right; }

.score-container, .best-container {
  position: relative;
  display: inline-block;
  background: #DEA4DA;
  padding: 15px 25px;
  font-size: 25px;
  height: 25px;
  line-height: 47px;
  font-weight: bold;
  border-radius: 50px;
  color: white;
  margin-top: 8px;
  text-align: center; }
  .score-container:after, .best-container:after {
    position: absolute;
    width: 100%;
    top: 10px;
    left: 0;
    text-transform: uppercase;
    font-size: 13px;
    line-height: 13px;
    text-align: center;
    color: #eee4da; }
  .score-container .score-addition, .best-container .score-addition {
    position: absolute;
    right: 30px;
    color: red;
    font-size: 25px;
    line-height: 25px;
    font-weight: bold;
    color: rgba(119, 110, 101, 0.9);
    z-index: 100;
    -webkit-animation: move-up 600ms ease-in;
    -moz-animation: move-up 600ms ease-in;
    animation: move-up 600ms ease-in;
    -webkit-animation-fill-mode: both;
    -moz-animation-fill-mode: both;
    animation-fill-mode: both; }

.score-container:after {
  content: "Score"; }

.best-container:after {
  content: "Best"; }

p {
  margin-top: 0;
  margin-bottom: 10px;
  line-height: 1.65; }

a {
  color: #FA6ECB;
  font-weight: bold;
  text-decoration: underline;
  cursor: pointer; }

strong.important {
  text-transform: uppercase; }

hr {
  border: none;
  border-bottom: 1px solid #d8d4d0;
  margin-top: 20px;
  margin-bottom: 30px; }

.container {
  width: 50%;
  height: 780px;
  margin: 0 auto; 
  display: flex;
  flex-direction: column;
  flex-wrap: wrap; }

.game-info-space {
  width: 500px;
  order:1; }

.game-tile-space {
  order:2; }

.progress-bar {
  position: relative;}

.progress-bar-container {
    width: 490px;
    height: 20px;
    margin-bottom: -30px;
    border: 4px solid #f0f;
    margin-top: 1.5rem;
    background-color: #fff;
    border-radius: 20px; }

.progress-bar-fill {
  height: 20px;
  background-color: pink;
  width: 0%;
  border-radius: 10px; }

.current-level {
  text-align: center;
  margin-top:3px;
  margin-bottom: auto;
  font-weight: bold;
  z-index: 1; }

@-webkit-keyframes fade-in {
  0% {
    opacity: 0; }

  100% {
    opacity: 1; } }
@-moz-keyframes fade-in {
  0% {
    opacity: 0; }

  100% {
    opacity: 1; } }
@keyframes fade-in {
  0% {
    opacity: 0; }

  100% {
    opacity: 1; } }
.game-container {
  margin-top: 40px;
  position: relative;
  padding: 15px;
  cursor: default;
  -webkit-touch-callout: none;
  -ms-touch-callout: none;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  -ms-touch-action: none;
  touch-action: none;
  background: #FA6ECB;
  border-radius: 50px;
  width: 500px;
  height: 500px;
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box; }
  .game-container .game-message {
    display: none;
    position: absolute;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(56, 1, 31, 0.5);
    z-index: 100;
    text-align: center;
    -webkit-animation: fade-in 800ms ease 1200ms;
    -moz-animation: fade-in 800ms ease 1200ms;
    animation: fade-in 800ms ease 1200ms;
    -webkit-animation-fill-mode: both;
    -moz-animation-fill-mode: both;
    animation-fill-mode: both; 
    border-radius: 50px;}
    .game-container .game-message p {
      font-size: 60px;
      font-weight: bold;
      height: 60px;
      line-height: 60px;
      margin-top: 222px; }
    .game-container .game-message .lower {
      display: block;
      margin-top: 59px; }
    .game-container .game-message a {
      display: inline-block;
      background: #FA6ECB;
      border-radius: 50px;
      padding: 0 20px;
      text-decoration: none;
      color: #f9f6f2;
      height: 40px;
      line-height: 42px;
      margin-left: 9px; }
      .game-container .game-message a.keep-playing-button {
        display: none; }
    .game-container .game-message.game-won {
      background: rgba(237, 194, 46, 0.8);
      color: #f9f6f2; }
      .game-container .game-message.game-won a.keep-playing-button {
        display: inline-block; }
    .game-container .game-message.game-won, .game-container .game-message.game-over {
      display: block; }

.game-container .stage-message {
  display: none;
  position: absolute;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgb(238, 218, 238);
  z-index: 100;
  text-align: center; 
  border-radius: 50px;}
  .game-container .stage-message p {
    font-size: 20px;
    font-weight: bold;
    line-height: 22px;
    margin-top: 20px;
    margin-left: 20px; 
    margin-right: 20px;
    text-align: left;}
  .game-container .stage-message .start-stage-button-container {
    position: absolute;
    display: block;
    bottom : 40px; 
    left : 0;
    right : 0;
    margin : auto;}
  .game-container .stage-message a {
    display: inline-block;
    background: #FA6ECB;
    border-radius: 50px;
    padding: 0 20px;
    text-decoration: none;
    color: #f9f6f2;
    height: 40px;
    line-height: 42px;
    margin-left: 9px; }
    .game-container .stage-message a.keep-playing-button {
      display: none; }
  .game-container .stage-message.game-won {
    background: rgba(237, 194, 46, 0.5);
    color: #f9f6f2; }
    .game-container .stage-message.game-won a.keep-playing-button {
      display: inline-block; }
  .game-container .stage-message.game-won, .game-container .stage-message.game-over {
    display: block; }

  .message-fade-in {
    animation: fade-in 2s ease both;
  }

  .start-stage-button-fade-in {
    animation: fade-in 0s ease both;
  }

.grid-container {
  position: absolute;
  z-index: 1; }

.grid-row {
  margin-bottom: 15px; }
  .grid-row:last-child {
    margin-bottom: 0; }
  .grid-row:after {
    content: "";
    display: block;
    clear: both; }

.grid-cell {
  width: 106.25px;
  height: 106.25px;
  margin-right: 15px;
  float: left;
  border-radius: 50px;
  background: rgba(238, 228, 218, 0.35); }
  .grid-cell:last-child {
    margin-right: 0; }

.tile-container {
  position: absolute;
  z-index: 2; }

.tile, .tile .tile-inner {
  width: 107px;
  height: 107px;
  line-height: 107px; }
.tile.tile-position-1-1 {
  -webkit-transform: translate(0px, 0px);
  -moz-transform: translate(0px, 0px);
  -ms-transform: translate(0px, 0px);
  transform: translate(0px, 0px); }
.tile.tile-position-1-2 {
  -webkit-transform: translate(0px, 121px);
  -moz-transform: translate(0px, 121px);
  -ms-transform: translate(0px, 121px);
  transform: translate(0px, 121px); }
.tile.tile-position-1-3 {
  -webkit-transform: translate(0px, 242px);
  -moz-transform: translate(0px, 242px);
  -ms-transform: translate(0px, 242px);
  transform: translate(0px, 242px); }
.tile.tile-position-1-4 {
  -webkit-transform: translate(0px, 363px);
  -moz-transform: translate(0px, 363px);
  -ms-transform: translate(0px, 363px);
  transform: translate(0px, 363px); }
.tile.tile-position-2-1 {
  -webkit-transform: translate(121px, 0px);
  -moz-transform: translate(121px, 0px);
  -ms-transform: translate(121px, 0px);
  transform: translate(121px, 0px); }
.tile.tile-position-2-2 {
  -webkit-transform: translate(121px, 121px);
  -moz-transform: translate(121px, 121px);
  -ms-transform: translate(121px, 121px);
  transform: translate(121px, 121px); }
.tile.tile-position-2-3 {
  -webkit-transform: translate(121px, 242px);
  -moz-transform: translate(121px, 242px);
  -ms-transform: translate(121px, 242px);
  transform: translate(121px, 242px); }
.tile.tile-position-2-4 {
  -webkit-transform: translate(121px, 363px);
  -moz-transform: translate(121px, 363px);
  -ms-transform: translate(121px, 363px);
  transform: translate(121px, 363px); }
.tile.tile-position-3-1 {
  -webkit-transform: translate(242px, 0px);
  -moz-transform: translate(242px, 0px);
  -ms-transform: translate(242px, 0px);
  transform: translate(242px, 0px); }
.tile.tile-position-3-2 {
  -webkit-transform: translate(242px, 121px);
  -moz-transform: translate(242px, 121px);
  -ms-transform: translate(242px, 121px);
  transform: translate(242px, 121px); }
.tile.tile-position-3-3 {
  -webkit-transform: translate(242px, 242px);
  -moz-transform: translate(242px, 242px);
  -ms-transform: translate(242px, 242px);
  transform: translate(242px, 242px); }
.tile.tile-position-3-4 {
  -webkit-transform: translate(242px, 363px);
  -moz-transform: translate(242px, 363px);
  -ms-transform: translate(242px, 363px);
  transform: translate(242px, 363px); }
.tile.tile-position-4-1 {
  -webkit-transform: translate(363px, 0px);
  -moz-transform: translate(363px, 0px);
  -ms-transform: translate(363px, 0px);
  transform: translate(363px, 0px); }
.tile.tile-position-4-2 {
  -webkit-transform: translate(363px, 121px);
  -moz-transform: translate(363px, 121px);
  -ms-transform: translate(363px, 121px);
  transform: translate(363px, 121px); }
.tile.tile-position-4-3 {
  -webkit-transform: translate(363px, 242px);
  -moz-transform: translate(363px, 242px);
  -ms-transform: translate(363px, 242px);
  transform: translate(363px, 242px); }
.tile.tile-position-4-4 {
  -webkit-transform: translate(363px, 363px);
  -moz-transform: translate(363px, 363px);
  -ms-transform: translate(363px, 363px);
  transform: translate(363px, 363px); }

.tile {
  position: absolute;
  -webkit-transition: 100ms ease-in-out;
  -moz-transition: 100ms ease-in-out;
  transition: 100ms ease-in-out;
  -webkit-transition-property: -webkit-transform;
  -moz-transition-property: -moz-transform;
  transition-property: transform; }
  .tile .tile-inner {
    border-radius: 50px;
    background: #eee4da;
    text-align: center;
    font-weight: bold;
    z-index: 10;
    font-size: 55px; }
  .tile.tile-2 .tile-inner {
    background: #E6E6FA;
    box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0), inset 0 0 0 1px rgba(255, 255, 255, 0); }
  .tile.tile-4 .tile-inner {
    background: #E6E6FA;
    box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0), inset 0 0 0 1px rgba(255, 255, 255, 0); }
  .tile.tile-8 .tile-inner {
    color: #f9f6f2;
    background: #E6E6FA; }
  .tile.tile-16 .tile-inner {
    color: #f9f6f2;
    background: #E6E6FA; }
  .tile.tile-32 .tile-inner {
    color: #f9f6f2;
    background: #E6E6FA; }
  .tile.tile-64 .tile-inner {
    color: #f9f6f2;
    background: #E6E6FA; }
  .tile.tile-128 .tile-inner {
    color: #f9f6f2;
    background: #E6E6FA;
    box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.2381), inset 0 0 0 1px rgba(255, 255, 255, 0.14286);
    font-size: 45px; }
    @media screen and (max-width: 520px) {
      .tile.tile-128 .tile-inner {
        font-size: 25px; } }
  .tile.tile-256 .tile-inner {
    color: #f9f6f2;
    background: #E6E6FA;
    box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.31746), inset 0 0 0 1px rgba(255, 255, 255, 0.19048);
    font-size: 45px; }
    @media screen and (max-width: 520px) {
      .tile.tile-256 .tile-inner {
        font-size: 25px; } }
  .tile.tile-512 .tile-inner {
    color: #f9f6f2;
    background: #E6E6FA;
    box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.39683), inset 0 0 0 1px rgba(255, 255, 255, 0.2381);
    font-size: 45px; }
    @media screen and (max-width: 520px) {
      .tile.tile-512 .tile-inner {
        font-size: 25px; } }
  .tile.tile-1024 .tile-inner {
    color: #f9f6f2;
    background: #E6E6FA;
    box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.47619), inset 0 0 0 1px rgba(255, 255, 255, 0.28571);
    font-size: 35px; }
    @media screen and (max-width: 520px) {
      .tile.tile-1024 .tile-inner {
        font-size: 15px; } }
  .tile.tile-2048 .tile-inner {
    color: #f9f6f2;
    background: #E0FFFF;
    box-shadow: 0 0 30px 10px rgba(243, 215, 116, 0.55556), inset 0 0 0 1px rgba(255, 255, 255, 0.33333);
    font-size: 35px; }
    @media screen and (max-width: 520px) {
      .tile.tile-2048 .tile-inner {
        font-size: 15px; } }
  .tile.tile-super .tile-inner {
    color: #f9f6f2;
    background: #3c3a32;
    font-size: 30px; }
    @media screen and (max-width: 520px) {
      .tile.tile-super .tile-inner {
        font-size: 10px; } }

@-webkit-keyframes appear {
  0% {
    opacity: 0;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0); }

  100% {
    opacity: 1;
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1); } }
@-moz-keyframes appear {
  0% {
    opacity: 0;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0); }

  100% {
    opacity: 1;
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1); } }
@keyframes appear {
  0% {
    opacity: 0;
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0); }

  100% {
    opacity: 1;
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1); } }
.tile-new .tile-inner {
  -webkit-animation: appear 200ms ease 100ms;
  -moz-animation: appear 200ms ease 100ms;
  animation: appear 200ms ease 100ms;
  -webkit-animation-fill-mode: backwards;
  -moz-animation-fill-mode: backwards;
  animation-fill-mode: backwards; }

@-webkit-keyframes pop {
  0% {
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0); }

  50% {
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2); }

  100% {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1); } }
@-moz-keyframes pop {
  0% {
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0); }

  50% {
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2); }

  100% {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1); } }
@keyframes pop {
  0% {
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0); }

  50% {
    -webkit-transform: scale(1.2);
    -moz-transform: scale(1.2);
    -ms-transform: scale(1.2);
    transform: scale(1.2); }

  100% {
    -webkit-transform: scale(1);
    -moz-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1); } }
.tile-merged .tile-inner {
  z-index: 20;
  -webkit-animation: pop 200ms ease 100ms;
  -moz-animation: pop 200ms ease 100ms;
  animation: pop 200ms ease 100ms;
  -webkit-animation-fill-mode: backwards;
  -moz-animation-fill-mode: backwards;
  animation-fill-mode: backwards; }

.above-game {
  display: flex;
  align-items: center;
  justify-content: space-between; }

.above-game:after {
  content: "";
  display: block;
  clear: both; }

.restart-button {
  display: inline-block;
  background: #FA6ECB;
  border-radius: 50px;
  padding: 0 20px;
  text-decoration: none;
  color: #f9f6f2;
  height: 40px;
  line-height: 42px;
  display: block;
  text-align: center;
  float: right; 
  cursor: pointer;
  -webkit-box-shadow: 0 3px 5px rgba(0, 0, 0, .3);
  box-shadow: 0 3px 5px rgba(0, 0, 0, .3); }

.game-explanation {
  margin-top: 50px; }

.image-container {
  position: relative;
  margin-top: 100px;
  margin-left: 10px;
  order: 3; }

.image {
    width: 500px; 
    height: 600px;
    border-style: solid;
    border-width: 10px;
    border-radius: 10px;
    object-fit: cover;
    object-position:50% 0%; }

.levelup-image-container {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(20, 20, 20, 0.8);
  z-index: 101;
  text-align: center; }

@keyframes levelup-image-fade-in {
  0% {
    transform: translateY(30px);
    opacity: 0;
  }
  80% {
    opacity: 1;
  }
  100% {
    opacity: 1;
    transform: translateY(0);
  }
}
  
.levelup-image {
  animation: levelup-image-fade-in 1s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards;
  margin-top:50px;
  width: 600px;
  object-fit: cover;
  -webkit-backface-visibility: hidden; }  

@keyframes heart-scale {
  0% {
    -webkit-transform: scale(0);
    -moz-transform: scale(0);
    -ms-transform: scale(0);
    transform: scale(0);
    opacity: 0; }

  80% {
    -webkit-transform: scale(6);
    -moz-transform: scale(6);
    -ms-transform: scale(6);
    transform: scale(6); 
    opacity: 0.5; } 


  100% {
    -webkit-transform: scale(8);
    -moz-transform: scale(8);
    -ms-transform: scale(8);
    transform: scale(8); 
    opacity: 0; } 
  }

.heart-container {
  display: none;
  position: absolute;
  top: 50%;
  right: 50%;
  -webkit-animation: heart-scale 600ms ease-in;
  -moz-animation: heart-scale 600ms ease-in;
  animation: heart-scale 600ms ease-in;
  -webkit-animation-fill-mode: both;
  -moz-animation-fill-mode: both;
  animation-fill-mode: both; }

  .heart {
    position: absolute;
    width: 100px;
    height: 90px;
    left: 50%;
    margin-top: -45px;
    margin-left: -50px; }
  .heart:before,
  .heart:after {
    position: absolute;
    content: "";
    left: 50px;
    top: 0;
    width: 50px;
    height: 80px;
    background: #f88dc8;
    border-radius: 50px 50px 0 0;
    transform: rotate(-45deg);
    transform-origin: 0 100%; }
  .heart:after {
    left: 0;
    transform: rotate(45deg);
    transform-origin :100% 100%; }

.reset-all-data-container {
  text-align: center; }

.over-18-confirm {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(20, 20, 20, 0.8);
  z-index: 101;
  text-align: center; }

  .over-18-title {
    font-size: 60px;
    color: white;
    font-weight: bold;
    height: 60px;
    line-height: 60px;
    margin-top: 100px; }

  .over-18-confirm .over-18-description {
    font-size:20px;
    color: white;
    font-weight: bold;
    margin-top: 100px;
    line-height: 20px; }
  .over-18-confirm a {
    display: inline-block;
    background: #FA6ECB;
    border-radius: 3px;
    padding: 0 20px;
    text-decoration: none;
    color: #f9f6f2;
    height: 40px;
    width: 100px;
    line-height: 42px;
    margin-left: 9px; 
    margin-top : 50px; }

.remaining-confirm {
      display: none;
      position: fixed;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      background: rgba(20, 20, 20, 0.8);
      z-index: 101;
      text-align: center; }

.not-remaining-message {
    margin-top: 100px;
    display:none; }

.remaining-confirm-description {
    margin-top: 20px; } 

.remaining-confirm a:not(.ad):not(.adlist):not(.pc-ad ins a):not(.sp-ad ins a):not(.pc-ad a):not(.sp-ad a):not(.ios-ad-container a) {
  display: inline-block;
  background: #FA6ECB;
  border-radius: 3px;
  padding: 0 20px;
  text-decoration: none;
  color: #f9f6f2;
  height: 40px;
  width: 100px;
  line-height: 42px;
  margin-left: 9px; 
  margin-top : 50px; }

.stageList-container {
  overflow: hidden;
  width: 40%;
  margin: 2em auto;
  text-align: center;
  margin-left: 0px; }

.stageList-container select {
  width: 100%;
  padding-right: 1em;
  cursor: pointer;
  text-indent: 0.01px;
  text-overflow: ellipsis;
  border: none;
  outline: none;
  background: transparent;
  background-image: none;
  box-shadow: none;
  -webkit-appearance: none;
  appearance: none;
  font-weight: bold;
  font-size: large;
  padding: 8px 38px 8px 8px;
  color: #FA6ECB; }

  .stageList-container {
    position: relative;
    border-radius: 2px;
    border: 5px solid #FA6ECB;
    border-radius: 50px;
    background: #ffffff; }

  .stageList-container::before {
    position: absolute;
    top: 0.8em;
    right: 0.8em;
    width: 0;
    height: 0;
    padding: 0;
    content: '';
    border-left: 6px solid transparent;
    border-right: 6px solid transparent;
    border-top: 6px solid #FA6ECB;
    pointer-events: none; }

  .remaining-container {
    display: flex;
    width: 70%;
    justify-content: space-between;
    align-items: center;
    border-radius: 50px;
    border-style: solid;
    border-width: 5px;
    padding: 0; }

  .remaining-heart-container {
    display: flex;
    justify-content: flex-start; }

  .remaining {
    width: 55px;
    height: 40px;
    margin-bottom: 15px;
    transform: scale(0.5); }

  .remaining:before,
  .remaining:after {
    position: absolute;
    content: "";
    left: 50px;
    top: 0;
    width: 50px;
    height: 80px;
    background: #f88dc8;
    border-radius: 50px 50px 0 0;
    transform: rotate(-45deg);
    transform-origin: 0 100%; }

  .remaining:after {
    left: 0;
    transform: rotate(45deg);
    transform-origin :100% 100%; }

  .remaining-not:before,
  .remaining-not:after {
    background: white; }

  .remaining-recover-button {
    display: inline-block;
    background: #FA6ECB;
    border-radius: 50px;
    padding: 0 20px;
    margin-right: 10px;
    text-decoration: none;
    color: #f9f6f2;
    height: 40px;
    line-height: 42px;
    display: block;
    text-align: center;
    cursor: pointer;
    -webkit-box-shadow: 0 3px 5px rgba(0, 0, 0, .3);
    box-shadow: 0 3px 5px rgba(0, 0, 0, .3); }

.system-menu-button-container-sp {
  display: none; }  

.system-menu-button-container-pc {
  text-align: center;
  order:4; }

.system-menu-container {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(20, 20, 20, 0.8);
  z-index: 101;
  text-align: center; }

.system-menu-container a {
  display: inline-block;
  margin-top: 30px;
  font-size: 30px;
  animation: levelup-image-fade-in 1s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards; }

.system-menu-button-pc {
  display: inline-block;
  width: 200px;
  margin: 0 auto;
  background: #929090;
  border-radius: 50px;
  padding: 0 20px;
  text-decoration: none;
  color: #f7f1f1;
  height: 40px;
  line-height: 42px;
  display: block;
  text-align: center;
  cursor: pointer;
  -webkit-box-shadow: 0 3px 5px rgba(0, 0, 0, .3);
  box-shadow: 0 3px 5px rgba(0, 0, 0, .3); }


.setting-container {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  background: rgba(20, 20, 20, 0.8);
  z-index: 101;
  text-align: center; }

.setting-container {
  font-size: 20px; }

.setting-container div {
  font-size: 30px;
  margin-top: 30px;
  font-weight: bold;
  animation: levelup-image-fade-in 1s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards; }

.setting-container select {
  font-size: 20px;
  animation: levelup-image-fade-in 1s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards; }

.setting-container a {
  display: inline-block;
  margin-top: 30px;
  font-size: 30px;
  animation: levelup-image-fade-in 1s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards; }

.ad-container {
  margin-top: 30px; 
}

.ad-container2 {
  margin-top: 30px; 
}

.pc-ad {
  margin-top: 10px;
}

.sp-ad {
  display: none;
}

.ios-ad-container {
  display: none;
}

/* スマホ */
@media screen and (max-width: 520px) {
  html, body {
    position: fixed;
    font-size: 15px; }

  body {
    margin: 0;
    padding: 0; }

  h1.title {
    font-size: 27px;
    margin-top: 15px; }

  .container {
    width: 374px;
    height: 685px;
    margin: 0 auto; 
    display: flex; 
    flex-direction : row;
    justify-content: center; }

  .game-info-space {
    width:100px;
    display:flex;
    flex-direction: column;
    margin-left: -5px;
    margin-top: -38px;
    transform: scale(0.8);
    order:2; }
  
  .game-tile-space {
    transform: scale(1.2);
    margin-top:-55px;
    order: 3; }

  .score-container, .best-container {
    margin-top: 0;
    padding: 15px 10px;
    min-width: 40px; }

  .heading {
    margin-bottom: 10px;
    flex-direction: column; }

  .above-game {
    display: flex;
    align-items: center;
    justify-content: space-between;
    flex-direction: column; }

  .above-game:after {
    content: "";
    display: block;
    clear: both; }

  .game-container {
    position: relative;
    margin-right: auto;
    margin-left: auto;
    margin-top: 0px;
    padding: 10px;
    cursor: default;
    -webkit-touch-callout: none;
    -ms-touch-callout: none;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    -ms-touch-action: none;
    touch-action: none;
    background: #FA6ECB;
    border-radius: 50px;
    width: 280px;
    height: 280px;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box; }
    .game-container .game-message {
      display: none;
      position: absolute;
      top: 0;
      right: 0;
      bottom: 0;
      left: 0;
      background: rgba(56, 1, 31, 0.5);
      z-index: 100;
      text-align: center;
      -webkit-animation: fade-in 800ms ease 1200ms;
      -moz-animation: fade-in 800ms ease 1200ms;
      animation: fade-in 800ms ease 1200ms;
      -webkit-animation-fill-mode: both;
      -moz-animation-fill-mode: both;
      animation-fill-mode: both; }
      .game-container .game-message p {
        font-size: 60px;
        font-weight: bold;
        height: 60px;
        line-height: 60px;
        margin-top: 222px; }
      .game-container .game-message .lower {
        display: block;
        margin-top: 59px; }
      .game-container .game-message a {
        display: inline-block;
        background: #FA6ECB;
        border-radius: 3px;
        padding: 0 20px;
        text-decoration: none;
        color: #f9f6f2;
        height: 40px;
        line-height: 42px;
        margin-left: 9px; }
        .game-container .game-message a.keep-playing-button {
          display: none; }
      .game-container .game-message.game-won {
        background: rgba(237, 194, 46, 0.8);
        color: #f9f6f2; }
        .game-container .game-message.game-won a.keep-playing-button {
          display: inline-block; }
      .game-container .game-message.game-won, .game-container .game-message.game-over {
        display: block; }

  .game-container .stage-message p:first-child {
    margin-top: 20px; }
  .game-container .stage-message p {
    font-size: 12px;
    font-weight: bold;
    line-height: 14px;
    margin-top: 5px;
    margin-left: 20px; 
    margin-right: 20px;
    text-align: left;}
  .game-container .stage-message .start-stage-button-container {
    position: absolute;
    display: block;
    bottom : 20px; 
    left : 0;
    right : 0;
    margin : auto;}
  .game-container .stage-message a {
    display: inline-block;
    background: #FA6ECB;
    border-radius: 50px;
    padding: 0 20px;
    text-decoration: none;
    color: #f9f6f2;
    height: 30px;
    line-height: 32px;
    margin-left: 9px; }

  .grid-container {
    position: absolute;
    z-index: 1; }

  .grid-row {
    margin-bottom: 10px; }
    .grid-row:last-child {
      margin-bottom: 0; }
    .grid-row:after {
      content: "";
      display: block;
      clear: both; }

  .grid-cell {
    width: 57.5px;
    height: 57.5px;
    margin-right: 10px;
    float: left;
    border-radius: 50px;
    background: rgba(238, 228, 218, 0.35); }
    .grid-cell:last-child {
      margin-right: 0; }

  .tile-container {
    position: absolute;
    z-index: 2; }

  .tile, .tile .tile-inner {
    width: 58px;
    height: 58px;
    line-height: 58px; }
  .tile.tile-position-1-1 {
    -webkit-transform: translate(0px, 0px);
    -moz-transform: translate(0px, 0px);
    -ms-transform: translate(0px, 0px);
    transform: translate(0px, 0px); }
  .tile.tile-position-1-2 {
    -webkit-transform: translate(0px, 67px);
    -moz-transform: translate(0px, 67px);
    -ms-transform: translate(0px, 67px);
    transform: translate(0px, 67px); }
  .tile.tile-position-1-3 {
    -webkit-transform: translate(0px, 135px);
    -moz-transform: translate(0px, 135px);
    -ms-transform: translate(0px, 135px);
    transform: translate(0px, 135px); }
  .tile.tile-position-1-4 {
    -webkit-transform: translate(0px, 202px);
    -moz-transform: translate(0px, 202px);
    -ms-transform: translate(0px, 202px);
    transform: translate(0px, 202px); }
  .tile.tile-position-2-1 {
    -webkit-transform: translate(67px, 0px);
    -moz-transform: translate(67px, 0px);
    -ms-transform: translate(67px, 0px);
    transform: translate(67px, 0px); }
  .tile.tile-position-2-2 {
    -webkit-transform: translate(67px, 67px);
    -moz-transform: translate(67px, 67px);
    -ms-transform: translate(67px, 67px);
    transform: translate(67px, 67px); }
  .tile.tile-position-2-3 {
    -webkit-transform: translate(67px, 135px);
    -moz-transform: translate(67px, 135px);
    -ms-transform: translate(67px, 135px);
    transform: translate(67px, 135px); }
  .tile.tile-position-2-4 {
    -webkit-transform: translate(67px, 202px);
    -moz-transform: translate(67px, 202px);
    -ms-transform: translate(67px, 202px);
    transform: translate(67px, 202px); }
  .tile.tile-position-3-1 {
    -webkit-transform: translate(135px, 0px);
    -moz-transform: translate(135px, 0px);
    -ms-transform: translate(135px, 0px);
    transform: translate(135px, 0px); }
  .tile.tile-position-3-2 {
    -webkit-transform: translate(135px, 67px);
    -moz-transform: translate(135px, 67px);
    -ms-transform: translate(135px, 67px);
    transform: translate(135px, 67px); }
  .tile.tile-position-3-3 {
    -webkit-transform: translate(135px, 135px);
    -moz-transform: translate(135px, 135px);
    -ms-transform: translate(135px, 135px);
    transform: translate(135px, 135px); }
  .tile.tile-position-3-4 {
    -webkit-transform: translate(135px, 202px);
    -moz-transform: translate(135px, 202px);
    -ms-transform: translate(135px, 202px);
    transform: translate(135px, 202px); }
  .tile.tile-position-4-1 {
    -webkit-transform: translate(202px, 0px);
    -moz-transform: translate(202px, 0px);
    -ms-transform: translate(202px, 0px);
    transform: translate(202px, 0px); }
  .tile.tile-position-4-2 {
    -webkit-transform: translate(202px, 67px);
    -moz-transform: translate(202px, 67px);
    -ms-transform: translate(202px, 67px);
    transform: translate(202px, 67px); }
  .tile.tile-position-4-3 {
    -webkit-transform: translate(202px, 135px);
    -moz-transform: translate(202px, 135px);
    -ms-transform: translate(202px, 135px);
    transform: translate(202px, 135px); }
  .tile.tile-position-4-4 {
    -webkit-transform: translate(202px, 202px);
    -moz-transform: translate(202px, 202px);
    -ms-transform: translate(202px, 202px);
    transform: translate(202px, 202px); }

  .tile .tile-inner {
    font-size: 35px; }

  .game-message p {
    font-size: 30px !important;
    height: 30px !important;
    line-height: 30px !important;
    margin-top: 90px !important; }
  .game-message .lower {
    margin-top: 30px !important; } 
  
  .image-container {
    position: relative;
    margin-top: 5px;
    margin-left: -5px;
    order:1; }

  .image {
    width: 250px; 
    height: 300px;
    border-style: solid;
    border-width: 5px;
    border-radius: 10px;
    object-fit: cover;
    object-position:50% 0%; }

  .levelup-image {
    animation: levelup-image-fade-in 1s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards;
    margin-top:50px;
    width: 350px;
    -webkit-backface-visibility: hidden;
    object-fit: cover; }  
 
  .stageList-container {
    overflow: hidden;
    flex:none;
    width: 120px;
    margin: 0;
    text-align: center;
    margin-left: 20px; }

  .stageList-container select {
    width: 100%;
    padding-right: 1em;
    cursor: pointer;
    text-indent: 0.01px;
    text-overflow: ellipsis;
    border: none;
    outline: none;
    background: transparent;
    background-image: none;
    box-shadow: none;
    -webkit-appearance: none;
    appearance: none;
    font-weight: bold;
    font-size: medium;
    padding: 8px 8px 8px 8px;
    color: #FA6ECB; }

    .stageList-container {
      position: relative;
      border-radius: 2px;
      border: 5px solid #FA6ECB;
      border-radius: 50px;
      background: #ffffff; }

  .stageList-container::before {
      position: absolute;
      top: 0.8em;
      right: 0.8em;
      width: 0;
      height: 0;
      padding: 0;
      content: '';
      border-left: 6px solid transparent;
      border-right: 6px solid transparent;
      border-top: 6px solid #FA6ECB;
      pointer-events: none; }

  .remaining-container {
    display: flex;
    flex-direction: column;
    width: 120px;
    align-items: initial;
    border-radius: 50px;
    border-style: solid;
    border-width: 5px;
    padding: 0;
    margin-left: 20px; }

  .remaining-heart-container {
    display: flex;
    justify-content: space-between; }

  .remaining {
    width: 100%;
    margin-left: -5px;
    transform: scale(0.2); }

  .remaining:before,
  .remaining:after {
    position: absolute;
    content: "";
    left: 50px;
    top: 0;
    width: 50px;
    height: 80px;
    background: #f88dc8;
    border-radius: 50px 50px 0 0;
    transform: rotate(-45deg);
    transform-origin: 0 100%; }

  .remaining:after {
    left: 0;
    transform: rotate(45deg);
    transform-origin :100% 100%; }

  .remaining-not:before,
  .remaining-not:after {
    background: white; }

  .remaining-recover-button {
    display: block;
    margin-top: -15px;
    margin-left: 10px;
    margin-bottom: 10px;
    background: #FA6ECB;
    border-radius: 50px;
    padding: 0 5px;
    text-decoration: none;
    color: #f9f6f2;
    height: 25px;
    line-height: 25px;
    display: block;
    text-align: center;
    cursor: pointer; }

  .restart-button {
    display: block;
    background: #FA6ECB;
    border-radius: 50px;
    padding: 0 20px;
    text-decoration: none;
    color: #f9f6f2;
    height: 40px;
    line-height: 42px;
    text-align: center;
    float: right; 
    cursor: pointer;
    margin-top:10px; }  

  .progress-bar {
    display: flex;
    margin-top:-10px;
    width: 100px;
    height: 50px;
    flex-direction: column;
    flex-wrap: wrap;
    position: relative; }

  .progress-bar-container {
      width: 100px;
      height: 20px;
      margin-bottom: -30px;
      border: 4px solid #f0f;
      margin-top: 1.5rem;
      background-color: #fff;
      border-radius: 20px; }

  .progress-bar-fill {
    height: 20px;
    background-color: pink;
    width: 0%;
    border-radius: 10px; }

  .current-level {
    float: right;
    margin-right: 15px;
    margin-top:auto;
    margin-bottom: auto;
    font-weight: bold;
    text-align: center; }

  .system-menu-button-container-sp {
    display: block;
    text-align: center;
    margin-top: 10px;
    margin-bottom: 10px; }  

  .system-menu-container {
    display: none;
    position: fixed;
    top: 0;
    right: 0;
    bottom: 0;
    left: 0;
    background: rgba(20, 20, 20, 0.8);
    z-index: 101;
    text-align: center; }

  .system-menu-container a {
    display: block;
    margin-top: 30px;
    font-size: 30px;
    animation: levelup-image-fade-in 1s cubic-bezier(0.33, 1, 0.68, 1) 1 forwards; }

  .system-menu-button-sp {
    display: inline-block;
    width: 100px;
    margin: 0 auto;
    background: #929090;
    border-radius: 50px;
    padding: 0 5px;
    text-decoration: none;
    color: #f7f1f1;
    height: 30px;
    line-height: 32px;
    display: block;
    text-align: center;
    cursor: pointer;
    -webkit-box-shadow: 0 3px 5px rgba(0, 0, 0, .3);
    box-shadow: 0 3px 5px rgba(0, 0, 0, .3); }

  .ero4koma {
    font-size: 60%;
  }

  .system-menu-button-container-pc {
    display: none; }

  .ad-container img{
    /* width:300px;  */
  }


  .pc-ad {
    display: none;
  }

  .sp-ad {
    margin-top: 10px;
    display: block;
  }


}

/* アスペクト比 4:3 */
@media screen and (min-width: 1024px) and (max-width: 1366px) and (max-height: 1024px) {
  body {
    margin: 0 10px; }

 .container {
    margin-top:-60px;
    margin-left: -50px;
    margin-right: 0;
    transform: scale(0.7); }

  .overlay a, .overlay div, overlay select{
    margin-left:-50px; }

  .overlay img {
    width: 400px; }

}

/* 縦幅が短い画面 */
@media screen and (max-width: 520px) and (max-height: 650px) {

  .container {
    margin-top:-50px;
    margin-right: 0;
    transform: scale(0.8); }

  .overlay img:not(.sp-ad ins a img) {
    width: 320px; }

}